Bug 1663337 - Gluster documentation on quorum-reads option is incorrect
Summary: Gluster documentation on quorum-reads option is incorrect
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: doc
Version: mainline
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Ravishankar N
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-03 22:26 UTC by aravind.natarajan
Modified: 2019-10-09 10:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-09 10:24:07 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description aravind.natarajan 2019-01-03 22:26:26 UTC
Description of problem:

Per glusterfs code (see https://github.com/gluster/glusterfs/commit/bd44d59741bb8c0f5d7a62c5b1094179dd0ce8a4#diff-d6c0e00b45c718e92b1a55ee7b9fe513), the quorum-reads option is no longer supported. However Gluster documentation for Client Quorum (see https://docs.gluster.org/en/latest/Administrator%20Guide/arbiter-volumes-and-quorum/#client-quorum) still indicates that this is a valid option. It does not indicate that the option is not supported in ver 4.0 and above. 

Furthermore, setting/getting the option on a gluster volume does not cause any error or "not supported" information to be displayed leading the user to believe that this is supported unless someone were to actually look at the code.

Version-Release number of selected component (if applicable):
4.0 and above

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Ravishankar N 2019-08-05 12:59:58 UTC
I have sent  PR https://github.com/gluster/glusterdocs/pull/493 to update the documentation.

Comment 2 hari gowtham 2019-10-09 10:22:49 UTC
@Ravi, do you mind closing the bug as the PR got merged?

Comment 3 Ravishankar N 2019-10-09 10:24:07 UTC
Closing it now.


Note You need to log in before you can comment on or make changes to this bug.